<script setup>
import AdminAppLayout from "@/Layouts/AdminAppLayout.vue";
import { useForm } from '@inertiajs/vue3'
import {watch} from "vue";

const props = defineProps({
    errors: Object,
    game:Object,
})

const form = useForm({
    name: props.game.name,
    image: props.game.image,
})
</script>

<template>
    <AdminAppLayout>
        <h1>Редактировать игру</h1>
        <form @submit.prevent="form.post(route('admin.games.updated',{game:props.game.id}))">
            <div class="mb-3">
                <label for="title" class="form-label">Заголовок</label>
                <input
                    type="text"
                    class="form-control"
                    id="title"
                    placeholder="Заголовок"
                    v-model="form.name"
                />
            </div>

            <div class="mb-3">
                <label for="formFile" class="form-label">Картинка поста</label>
                <input class="form-control-file" type="file" @input="form.image = $event.target.files[0]" />
            </div>
            <div v-if="props.game.image" class="img">
                <img width="300" :src="props.game.image" class="img-fluid" :alt="props.game.name" />
            </div>
            <div style="text-align: right; " class="button">
                <button :disabled="form.processing" class="btn btn-success btn-lg" type="submit">обновить</button>
            </div>

            <div v-for="error in errors" class="alert alert-danger" role="alert">
                {{ error }}
            </div>

        </form>
    </AdminAppLayout>
</template>

<style scoped>
.button {
    text-align: center;
}
.img {
    max-height: 100px;
}
</style>
